AISP

get/accounts/{accountResourceId}/balances

Retrieval of an account balances report (AISP)

OAuth2 scope: aisp

Parameters (19)

  • Authorizationheaderstringrequired

    Access token to be passed as a header

  • accountResourceIdpathstringrequired

    Identification of account resource to fetch

  • PSU-IP-Addressheaderstring

    IP address used by the PSU's terminal when connecting to the TPP

  • PSU-IP-Portheaderstring

    IP port used by the PSU's terminal when connecting to the TPP

  • PSU-HTTP-Methodheaderstring

    Http method for the most relevant PSU's terminal request to the TTP

  • PSU-Dateheaderstring

    Timestamp of the most relevant PSU's terminal request to the TTP

  • PSU-GEO-Locationheaderstring

    Geographical location of the PSU as provided by the PSU mobile terminal if any to the TPP

  • PSU-User-Agentheaderstring

    "User-Agent" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Refererheaderstring

    "Referer" header field sent by the PSU terminal when connecting to the TPP. Notice that an initial typo in RFC 1945 specifies that "referer" (incorrect spelling) is to be used. The correct spelling "referrer" can be used but might not be understood.

  • PSU-Acceptheaderstring

    "Accept" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Charsetheaderstring

    "Accept-Charset" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Encodingheaderstring

    "Accept-Encoding" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Languageheaderstring

    "Accept-Language" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Device-IDheaderstring

    UUID (Universally Unique Identifier) for a device, which is used by the PSU, if available. UUID identifies either a device or a device dependant application installation. In case of installation identification this ID need to be unaltered until removal from device.

  • Digestheaderstring

    Digest of the body

  • Signatureheaderstring

    http-signature of the request The keyId must specify the way to get the relevant qualified certificate. It is requested that this identifier is an URL aiming to provide the relevant Qualified Certificate.

  • X-Request-IDheaderstringrequired

    Correlation header to be set in a request and retrieved in the relevant response

  • workspacequerystring

    Workspace to be used for processing an AISP request. If not provided, the default workspace is computed from the authentication that was used for getting the OAuth2 Access Token.

  • X-JWS-Signatureheaderstring

Responses

200

The ASPSP answers with a list of account balances

Halobject

HalBalances

HYPERMEDIA structure used for returning the list of the relevant balances for a given account to the AISP

Fields (2)

  • balancesarray<BalanceResource>required

    List of account balances

    Item: BalanceResource

    • namestringrequired

      Label of the balance

      Constraints: maxLength: 70

    • balanceAmountAmountTyperequired

      Schema: AmountType

      • amountnumber (float)required

        ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.

        ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.

        Constraints: pattern: `^\-{0,1}[0-9]{1,13}(\.[0-9]{0,5}){0,1}$`

      • currencyCurrencyCoderequired

        Schema: CurrencyCode

    • balanceTypeBalanceStatusrequired

      Schema: BalanceStatus

      CodeNameDescription
      CLBD
      ISO20022 ClosingBookedBalance of the account at the end of the pre-agreed account reporting period. It is the sum of the opening booked balance at the beginning of the period and all entries booked to the account during the pre-agreed account reporting period.
      PRCD
      ISO20022 PreviouslyClosedBookedBalance of the account at the previously closed account reporting period. The opening booked balance for the new period has to be equal to this balance. Usage: the previously booked closing balance should equal (inclusive date) the booked closing balance of the date it references and equal the actual booked opening balance of the current date.
      ITAV
      ISO20022 InterimAvailableAvailable balance calculated in the course of the account servicer's business day, at the time specified, and subject to further changes during the business day. The interim balance is calculated on the basis of booked credit and debit items during the calculation time/period specified.
      XPCD
      ISO20022 ExpectedBalance, composed of booked entries and pending items known at the time of calculation, which projects the end of day balance if everything is booked on the account and no other entry is posted.
      VALU
      (None)Value-date balance
      OTHR
      (None)Other Balance
    • lastChangeDateTimestring (date-time)

      Timestamp of the last change of the balance amount

    • referenceDatestring (date-time)

      Reference date for the balance

    • lastCommittedTransactionstring

      Identification of the last committed transaction. This is actually useful for instant balance.

      Identification of the last committed transaction. This is actually useful for instant balance.

      Constraints: maxLength: 40

204

No content.

Shared response definition: 204

400

Invalid status value

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

401

Unauthorized, authentication failure.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

403

Forbidden, authentication successful but access to resource is not allowed.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

404

Not found, no request available.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

405

Method Not Allowed.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

406

Not Acceptable.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

408

Request Timeout.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

429

Too many requests.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

500

Internal server error.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

503

Service unavailable.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

Schemas used by this endpoint

Every structure referenced by this operation, listed once. Cross-references resolve to anchors on this page.

ISO20022object§ 4.1.2 · PDF p. 2

AmountType

Structure aiming to embed the amount and the currency to be used.

Fields (2)

  • amountnumber (float)required

    ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.

    ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.

    Constraints: pattern: `^\-{0,1}[0-9]{1,13}(\.[0-9]{0,5}){0,1}$`

  • currencyCurrencyCoderequired

    Schema: CurrencyCode

Resourcesobject§ 4.1.3 · PDF p. 8

BalanceResource

Structure of an account balance

Fields (6)

  • namestringrequired

    Label of the balance

    Constraints: maxLength: 70

  • balanceAmountAmountTyperequired

    Schema: AmountType

  • balanceTypeBalanceStatusrequired
  • lastChangeDateTimestring (date-time)

    Timestamp of the last change of the balance amount

  • referenceDatestring (date-time)

    Reference date for the balance

  • lastCommittedTransactionstring

    Identification of the last committed transaction. This is actually useful for instant balance.

    Identification of the last committed transaction. This is actually useful for instant balance.

    Constraints: maxLength: 40

ISO20022string

BalanceStatus

Type of balance

CodeNameDescription
CLBD
ISO20022 ClosingBookedBalance of the account at the end of the pre-agreed account reporting period. It is the sum of the opening booked balance at the beginning of the period and all entries booked to the account during the pre-agreed account reporting period.
PRCD
ISO20022 PreviouslyClosedBookedBalance of the account at the previously closed account reporting period. The opening booked balance for the new period has to be equal to this balance. Usage: the previously booked closing balance should equal (inclusive date) the booked closing balance of the date it references and equal the actual booked opening balance of the current date.
ITAV
ISO20022 InterimAvailableAvailable balance calculated in the course of the account servicer's business day, at the time specified, and subject to further changes during the business day. The interim balance is calculated on the basis of booked credit and debit items during the calculation time/period specified.
XPCD
ISO20022 ExpectedBalance, composed of booked entries and pending items known at the time of calculation, which projects the end of day balance if everything is booked on the account and no other entry is posted.
VALU
(None)Value-date balance
OTHR
(None)Other Balance
ISO20022string

CurrencyCode

Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".

Technicalobject

ErrorDetail

detailed error description

Fields (9)

  • locationstringenum · 2

    Location of the erroneous parameter when not in request body

    CodeNameDescription
    header
    query
  • namestring

    Name of the erroneous parameter when not in request body

  • pathstring

    JsonPath of the erroneous request body property

  • erroneousValuestring

    Erroneous parameter value

  • messagestring

    Relevant message for the erroneous parameter

  • expectedPatternstring

    Expected pattern, if any, that the erroneous parameter does not match with

  • expectedValueRangeobject

    Expected value range, if any, that the erroneous parameter does not match with

  • expectedValueCountobject

    Expected value count, in the case of an array item, that the erroneous parameter does not match with

  • expectedEnumerationarray<string>

    Expected enumeration, if any, that the erroneous parameter do not match with

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item schema: ErrorDetail

Halobject

HalBalances

HYPERMEDIA structure used for returning the list of the relevant balances for a given account to the AISP

Fields (2)